import request from '@/utils/request'

// 查询转正记录列表
export function listChangeOfficial(query) {
  return request({
    url: '/clocking/changeOfficial/list',
    method: 'get',
    params: query
  })
}

// 查询转正记录详细
export function getChangeOfficial(id) {
  return request({
    url: '/clocking/changeOfficial/' + id,
    method: 'get'
  })
}

// 新增转正记录
export function addChangeOfficial(data) {
  return request({
    url: '/clocking/changeOfficial',
    method: 'post',
    data: data
  })
}

// 修改转正记录
export function updateChangeOfficial(data) {
  return request({
    url: '/clocking/changeOfficial',
    method: 'put',
    data: data
  })
}

// 删除转正记录
export function delChangeOfficial(id) {
  return request({
    url: '/clocking/changeOfficial/' + id,
    method: 'delete'
  })
}

// 导出转正记录
export function exportChangeOfficial(query) {
  return request({
    url: '/clocking/changeOfficial/export',
    method: 'get',
    params: query
  })
}